# Uses of Class
serp.bytecode.Project

Packages that use Project
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of Project in serp.bytecode

Methods in serp.bytecode that return Project
Modifier and Type
Method
Description
`Project`
Annotation.`getProject()`
`Project`
Annotation.Property.`getProject()`
`Project`
Attribute.`getProject()`
`Project`
BCClass.`getProject()`
`Project`
BCClassLoader.`getProject()`
Return this class loader's project.
`Project`
BCEntity.`getProject()`
Return the project of the current class.
`Project`
BCMember.`getProject()`
`Project`
ExceptionHandler.`getProject()`
`Project`
InnerClass.`getProject()`
`Project`
Instruction.`getProject()`
`Project`
LineNumber.`getProject()`
`Project`
Local.`getProject()`
Constructors in serp.bytecode with parameters of type Project
Modifier
Constructor
Description
``
`BCClassLoader(Project project)`
Constructor.
``
`BCClassLoader(Project project, ClassLoader loader)`
Constructor.

## Uses of Project in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type Project
Modifier and Type
Method
Description
`void`
BCVisitor.`enterProject(Project obj)`
`void`
PrettyPrintVisitor.`enterProject(Project obj)`
`void`
BCVisitor.`exitProject(Project obj)`
`void`
PrettyPrintVisitor.`exitProject(Project obj)`